.\" $NetBSD: cms.4,v 1.2 2001/09/11 22:52:52 wiz Exp $
.\"
.\" Copyright (c) 2000 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd April 28, 2000
.Dt CMS 4
.Os
.Sh NAME
.Nm cms
.Nd Creative Music System device driver
.Sh SYNOPSIS
.Cd "cms0  at isa? port 0x220"
.Cd "midi* at cms?"
.Sh DESCRIPTION
The
.Nm
driver provides support for the Creative Music System (C/MS).
These cards were developed by Creative Labs, the same people who
designed the SoundBlaster cards.  Chips were available for the
SoundBlaster to make them compatible with CMS.
.Pp
The CMS cards are only capable of playing basic notes and noises,
making them suitable for playing midi, but not much else.  The output
is stereo, but the
.Nm
driver doesn't support stereo control.  The cards have external volume
control, line-output and speaker.
.Pp
The base I/O port address is usually jumper-selected to 0x220.  Valid
jumper settings are for 0x210, 0x220, 0x230, 0x240, 0x250 and 0x260.
There are no interrupt settings.
.Sh SEE ALSO
.Xr isa 4 ,
.Xr midi 4
.Sh HISTORY
The
.Nm
device driver appeared in
.Nx 1.5 .
